<!--

  $modifed = 16/02/2014 (Dom) 19:21:19
  $counted = 15/02/2014 (Sáb) 04:00:00
  $created = 15/02/2014 (Sáb) 04:00:00

-->

<html>

<head>

  <meta charset="utf-8">

  <style>

   /* http://stackoverflow.com/a/4698091 */
    *
    {
              box-sizing: border-box;
         -moz-box-sizing: border-box;
      -webkit-box-sizing: border-box;
    }

    body
    {
      height: 100%;
      margin: 0;
    }

    #tela,
    .lines,
    #entrada,
    #saida
    {
      vertical-align: top;
      display: inline-block;
      border: 0;
    }

    #entrada,
    .lines div,
    #saida
    {
      font-family: monospace;
      font-size: 14px;
    }

    .lines,
    #saida
    {
      margin: 5px 5px 5px 0;
    }

    #tela
    {
      margin: 5px;
    }

    .lines
    {
      background: #eee;
      padding: 5px 0;
      position: relative;
      overflow: hidden;
    }

    .line
    {
      background: #eee;
      color: #aaa;
      top: 5px;
      bottom: 5px;
      position: absolute;
      text-align: right;
      overflow: hidden;
    }

    #entrada
    {
      background: #eee;
      position: absolute;
      resize: none;
      outline: none;
      overflow-y: scroll;
      margin: 0;
      padding: 0;
    }

    #saida
    {
      background: #ddd;
      padding: 5px;
      vertical-align: top;
    }

  </style>

  <script>

    var lineW = 30;
    var sep   =  5;

    window.onload = function()
    {

      var body             = document.getElementById('body'   );
      var tela             = document.getElementById('tela'   );
      var entrada          = document.getElementById('entrada');
      var saida            = document.getElementById('saida'  );
      var computed         = window.getComputedStyle(body, null);
      width                = parseInt(computed.getPropertyValue('width' ));
      height               = parseInt(computed.getPropertyValue('height'));
      tela.height          = (height-2*sep) + 'px';
      tela.width           = tela.height;
      w                    = (width-parseInt(tela.width)-20)/2;
      h                    = (height-2*sep);
      entrada.style.width  = (w - lineW -   sep) + 'px';
      entrada.style.height = (h         - 2*sep) + 'px';
      saida.style.width    = w + 'px';
      saida.style.height   = h + 'px';
      tela.src             = 'tela.svg' + location.search;



      // <http://www.dhtmlgoodies.com/forum/viewtopic.php?p=2100#p2100>

      var string = '';
      for(var no=1; no<200; no++)
      {
        if (string.length>0) string += '<br>';
        string += no;
      }

      var el = document.createElement('div');
      var ln = document.createElement('div');

      entrada.parentNode.insertBefore(el,entrada);

      el.appendChild(entrada);
      el.insertBefore(ln,entrada);
      el.className    = 'lines';
      el.style.width  = (entrada.offsetWidth  + lineW +   sep) + 'px';
      el.style.height = (entrada.offsetHeight         + 2*sep) + 'px';

      ln.innerHTML        = string;
      ln.className        = 'line';
      ln.style.width      = lineW + 'px';

      entrada.style.left  = (lineW + sep) + 'px';
      entrada.onkeydown   =
      entrada.onmousedown =
      entrada.onscroll    =
      entrada.onfocus     =
      entrada.onmouseover = function() { ln.style.top = (sep-entrada.scrollTop) + 'px' }
      entrada.focus();

    }

  </script>

</head>

<body id="body">
   <iframe id="tela"></iframe><!--
--><textarea id="entrada"></textarea><!--
--><div id="saida"></div>
</body>

</html>
